    # File lib/action_view/helpers/url_helper.rb, line 192
          def link_to(name, options = {}, html_options = nil)
            url = case options
              when String
                options
              when :back
                @controller.request.env["HTTP_REFERER"] || 'javascript:history.back()'
              else
                self.url_for(options)
              end

            if html_options
              html_options = html_options.stringify_keys
              href = html_options['href']
              convert_options_to_javascript!(html_options, url)
              tag_options = tag_options(html_options)
            else
              tag_options = nil
            end

            href_attr = "href=\"#{url}\"" unless href
            "<a #{href_attr}#{tag_options}>#{name || url}</a>"
          end